[android-components](../../index.md) / [mozilla.components.feature.downloads.manager](../index.md) / [DownloadManager](index.md) / [tryAgain](./try-again.md)

# tryAgain

`abstract fun tryAgain(downloadId: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/downloads/src/main/java/mozilla/components/feature/downloads/manager/DownloadManager.kt#L35)

Schedules another attempt at downloading the given download.

### Parameters

`downloadId` - the id of the previously attempted download